Sender Profiles
Delete Sender Profile
Permanently delete a sender (From) profile
DELETE
/
api
/
v1
/
sender-profiles
/
{id}
Delete Sender Profile
curl --request DELETE \
--url https://api.sequenzy.com/api/v1/sender-profiles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/sender-profiles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/sender-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deletedSenderProfileId": "sender_abc123",
"fallbackSenderProfileId": "sender_def456",
"message": "Sender profile deleted. The account default and eligible draft campaigns now use sender_def456 where reassignment was needed."
}
{
"error": "API key is missing required scope: companies:manage"
}
{
"error": "Sender profile not found"
}
{
"error": "Cannot delete this sender profile because it is used by 1 automation step(s): Welcome sequence (node_abc123). Reassign or stop those sending surfaces first."
}
{
"error": "Cannot delete the last sender profile. Create another sender profile first."
}
Permanently delete one sender (From) profile. Requires the
companies:manage scope.
Deletion is refused when the profile is the company’s last sender or is still
used by a live campaign, active sequence, sequence step, or transactional
email. Reassign or stop the named sending surfaces and retry.
This cannot be undone. Draft and rejected campaigns and the account default
move to the best remaining sender when needed. Review the returned
fallbackSenderProfileId before sending.Request
string
required
Sender profile ID from List Sender
Profiles.
curl -X DELETE "https://api.sequenzy.com/api/v1/sender-profiles/sender_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
Response fields
string
ID of the profile that was permanently deleted.
string | null
Remaining profile selected for the account default and eligible draft
campaigns when reassignment was needed.
Responses
{
"success": true,
"deletedSenderProfileId": "sender_abc123",
"fallbackSenderProfileId": "sender_def456",
"message": "Sender profile deleted. The account default and eligible draft campaigns now use sender_def456 where reassignment was needed."
}
{
"error": "API key is missing required scope: companies:manage"
}
{
"error": "Sender profile not found"
}
{
"error": "Cannot delete this sender profile because it is used by 1 automation step(s): Welcome sequence (node_abc123). Reassign or stop those sending surfaces first."
}
{
"error": "Cannot delete the last sender profile. Create another sender profile first."
}
⌘I
Delete Sender Profile
